Index: src/configoptions.cpp
===================================================================
--- src/configoptions.cpp	(revision 850)
+++ src/configoptions.cpp	(working copy)
@@ -860,6 +860,18 @@
                  "to stderr."
                 );
   cs->setWidgetType(ConfigString::File);
+  //----
+  cs = cfg->addString(
+                 "WARN_STRING",
+                 "The string that is prefixed to each warning that will be printed."
+                );
+  cs->setDefaultValue("Warning:");
+  //----
+  cs = cfg->addString(
+                 "ERROR_STRING",
+                 "The string that is prefixed to each error that will be printed."
+                );
+  cs->setDefaultValue("Error:");
   //---------------------------------------------------------------------------
   cfg->addInfo("Input","configuration options related to the input files");
   //---------------------------------------------------------------------------
Index: src/message.cpp
===================================================================
--- src/message.cpp	(revision 850)
+++ src/message.cpp	(working copy)
@@ -26,8 +26,8 @@
 #include "filedef.h"
 
 static QCString outputFormat;
-static const char *warning_str = "Warning: ";
-static const char *error_str = "Error: ";
+static QCString warning_str;
+static QCString error_str;
 //static int warnFormatOrder; // 1 = $file,$line,$text
 //                            // 2 = $text,$line,$file
 //                            // 3 = $line,$text,$file
@@ -89,6 +89,8 @@
   //    '\n';
 
   outputFormat = Config_getString("WARN_FORMAT");
+  warning_str = Config_getString("WARN_STRING") + " ";
+  error_str = Config_getString("ERROR_STRING") + " ";
 
   if (!Config_getString("WARN_LOGFILE").isEmpty())
   {
